package com.ningdatech.carapi.driver.constant;

import lombok.Getter;

/**
 * <p>
 * DrivingExperienceRangeEnum
 * </p>
 *
 * @author WendyYang
 * @since 19:22 2022/10/28
 */
@Getter
public enum DrivingExperienceRangeEnum {

    /**
     * 驾驶证超时范围
     */
    RANGE_0(-1, 0, 0, "1年已下"),
    RANGE_1_5(1, 5, 5, "1-5年"),
    RANGE_6_10(6, 10, 10, "5-10年"),
    RANGE_11(11, -1, 11, "10年以上");

    private final int start;
    private final int end;
    private final int key;
    private final String label;

    public static final int UNDEFINED = -1;

    DrivingExperienceRangeEnum(int start, int end, int key, String label) {
        this.start = start;
        this.end = end;
        this.key = key;
        this.label = label;
    }

}
